edu.ucsb.nceas.metacat

## Class NodeRecord

- java.lang.Object
- - edu.ucsb.nceas.metacat.NodeRecord

-     public class NodeRecord
      extends java.lang.Object

  A utility class that encapsulates a node and its data

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeRecord(long nodeid, long parentnodeid, long nodeindex, java.lang.String nodetype, java.lang.String nodename, java.lang.String nodeprefix, java.lang.String nodedata)` Constructor
    `NodeRecord(long nodeid, long parentnodeid, long nodeindex, java.lang.String nodetype, java.lang.String nodename, java.lang.String nodeprefix, java.lang.String nodedata, float nodedatanumerical, java.sql.Timestamp nodedatadate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contentEquals(NodeRecord record)` Method compare two records
    `java.lang.String` | `getNodeData()`
    `java.sql.Timestamp` | `getNodeDataDate()`
    `float` | `getNodeDataNumerical()`
    `long` | `getNodeId()` Get functions
    `long` | `getNodeIndex()`
    `java.lang.String` | `getNodeName()`
    `java.lang.String` | `getNodePrefix()`
    `java.lang.String` | `getNodeType()`
    `long` | `getParentNodeId()`
    `void` | `setNodeData(java.lang.String data)` A method used to set the node data of the current node
    `void` | `setNodeDataDate(java.sql.Timestamp datadate)`
    `void` | `setNodeDataNumerical(float datanumerical)` A method used to set the numerical node data of the current node
    `void` | `setNodeId(long id)` A method used to set the node id of the current node
    `void` | `setNodeIndex(long index)` A method used to set the node index of the current node
    `void` | `setNodeName(java.lang.String name)` A method used to set the node name of the current node
    `void` | `setNodePrefix(java.lang.String prefix)` A method used to set the node prefix of the current node
    `void` | `setNodeType(java.lang.String type)` A method used to set the node type of the current node
    `void` | `setParentNodeId(long parentid)` A method used to set the node parent id of the current node

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeRecord

          public NodeRecord(long nodeid,
                            long parentnodeid,
                            long nodeindex,
                            java.lang.String nodetype,
                            java.lang.String nodename,
                            java.lang.String nodeprefix,
                            java.lang.String nodedata)

      Constructor

    - #### NodeRecord

          public NodeRecord(long nodeid,
                            long parentnodeid,
                            long nodeindex,
                            java.lang.String nodetype,
                            java.lang.String nodename,
                            java.lang.String nodeprefix,
                            java.lang.String nodedata,
                            float nodedatanumerical,
                            java.sql.Timestamp nodedatadate)

  - ### Method Detail

    - #### getNodeId

          public long getNodeId()

      Get functions

    - #### getParentNodeId

          public long getParentNodeId()

    - #### getNodeIndex

          public long getNodeIndex()

    - #### getNodeName

          public java.lang.String getNodeName()

    - #### getNodeType

          public java.lang.String getNodeType()

    - #### getNodePrefix

          public java.lang.String getNodePrefix()

    - #### getNodeData

          public java.lang.String getNodeData()

    - #### getNodeDataNumerical

          public float getNodeDataNumerical()

    - #### getNodeDataDate

          public java.sql.Timestamp getNodeDataDate()

    - #### setNodeId

          public void setNodeId(long id)

      A method used to set the node id of the current node
      Parameters:
        `id` - the new value of the id

    - #### setParentNodeId

          public void setParentNodeId(long parentid)

      A method used to set the node parent id of the current node
      Parameters:
        `parentid` - the new value of the parent id

    - #### setNodeName

          public void setNodeName(java.lang.String name)

      A method used to set the node name of the current node
      Parameters:
        `name` - the new value of the node name

    - #### setNodePrefix

          public void setNodePrefix(java.lang.String prefix)

      A method used to set the node prefix of the current node
      Parameters:
        `prefix` - the new value of the node prefix

    - #### setNodeIndex

          public void setNodeIndex(long index)

      A method used to set the node index of the current node
      Parameters:
        `index` - the new value of the node index

    - #### setNodeType

          public void setNodeType(java.lang.String type)

      A method used to set the node type of the current node
      Parameters:
        `type` - the new value of the node type

    - #### setNodeData

          public void setNodeData(java.lang.String data)

      A method used to set the node data of the current node
      Parameters:
        `data` - the new value of the node data

    - #### setNodeDataNumerical

          public void setNodeDataNumerical(float datanumerical)

      A method used to set the numerical node data of the current node
      Parameters:
        `datanumerical` - the new value of the numerical node data

    - #### setNodeDataDate

          public void setNodeDataDate(java.sql.Timestamp datadate)

    - #### contentEquals

          public boolean contentEquals(NodeRecord record)

      Method compare two records

Copyright © 2020 Regents of the University of California. All Rights Reserved.